Subject: bug#63084: closed (Re: bug#64186: Patch: Suppress deprecated '-gdb-set target-async' warning message in gdb-mi.el)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jul 2023 15:24:58 +0300

> From: TatriX <[email-masked]>
> Date: Tue, 11 Jul 2023 09:31:18 +0200
> 
> I've compiled latest master and still can't set breakpoints while the
> program is running.
> Am I missing anything in the config perhaps?

Works for me.  What exactly did you try?  Please show the exact steps.

I did the steps shown here:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63084#11

and after "C-x C-a C-b", the program stopped on line 6, as expected.
Then I typed "c&", and the program printed one more line, and stopped,
again as expected.  If I remove the breakpoint with "C-x C-a C-d" and
type "c&", the program starts running without stopping again.

If those steps don't work for you, please tell which GDB version are
you using (I used GDB 12.1) and on what OS.